Live LLM Mentions Top Domains

‌‌
Live LLM Mentions Top Domains endpoint provides aggregated LLM mentions metrics grouped by the most frequently mentioned domains for the specified target. The results are specific to the selected platform (google for Google’s AI Overview or chat_gpt for ChatGPT), location and language parameters (see the List of Locations & Languages).

checked POST
Pricing

The cost of the task can be calculated on the Pricing page.

All POST data should be sent in the JSON format (UTF-8 encoding). The task setting is done using the POST method. When setting a task, you should send all task parameters in the task array of the generic POST array. You can send up to 2000 API calls per minute, each Live LLM Mentions API call can contain only one task.

Execution time for tasks set with the Live LLM Mentions endpoint is currently up to 120 seconds.

Below you will find a detailed description of the fields you can use for setting a task.

Description of the fields for setting a task:

Field name Type Description
target array array of objects containing target entities
required field
you can specify up to 10 entities (objects) in the target field
one target entity can contain either one domain or one keyword and related parameters

examples:

target array with a domain entity
[{"domain": "en.wikipedia.org", "search_filter": "exclude"}]
target array with a keyword entity
[{"keyword": "bmw", "search_scope": ["question"], "match_type ": "partial_match"}]
target array with multiple entities
[{"domain": "en.wikipedia.org", "search_filter": "exclude"}, {"keyword": "bmw", "match_type ": "partial_match", "search_scope": ["answer"]}]

       ‘domain’ entity object domain entity in the target array
example:
{"domain": "en.wikipedia.org", "search_filter": "exclude", "search_scope": ["sources"]}
        domain string target domain
required field if you don’t specify keyword
you can specify up to 63 characters in the domain field;
a domain should be specified without https:// and www.
        search_filter string target domain search filter
optional field
possible values:
include, exclude
default value: include
        search_scope array target domain search scope
optional field
possible values:
any, sources, search_results
default value: any
        include_subdomains boolean indicates if the subdomains of the target domain will be included in the search
optional field
if set to true, the subdomains will be included in the search
default value: false
       ‘keyword’ entity object keyword entity in the target array
example:
{"keyword": "bmw", "search_filter": "include", "search_scope": ["question"], "match_type ": "partial_match"}
        keyword string target keyword
required field if you don’t specify domain
you can specify up to 250 characters in the keyword field
all %## will be decoded (plus character ‘+’ will be decoded to a space character)
if you need to use the “%” character for your keyword, please specify it as “%25”;
if you need to use the “+” character for your keyword, please specify it as “%2B”

learn more about rules and limitations of keyword and keywords fields in DataForSEO APIs in this Help Center article

        search_filter string target keyword search filter
optional field
possible values:
include, exclude
default value: include
        search_scope array target keyword search scope
optional field
possible values:
any, question, answer, brand_entities, fan_out_queries
default value: any
        match_type string target keyword match type
optional field
possible values:
word_match, partial_match
word_match – full-text search for terms that match the specified seed keyword with additional words included before, after, or within the seed key phrase.
partial_match – searches for any occurrence of the keyword or its parts within the content
default value: word_match
location_name string full name of search location
optional field
if you use this field, you don’t need to specify location_code
if you don’t specify this field, the location_code with 2840 value will be used by default;
you can receive the list of available locations of the search engine with their location_name by making a separate request to the https://api.dataforseo.com/v3/ai_optimization/llm_mentions/locations_and_languages
Note: chat_gpt data is available for United States only
location_code integer search location code
optional field
if you use this field, you don’t need to specify location_name
you can receive the list of available locations of the search engine with their location_code by making a separate request to the https://api.dataforseo.com/v3/ai_optimization/llm_mentions/locations_and_languages
default value: 2840
Note: chat_gpt data is available for 2840 only
language_name string full name of search language
optional field
if you use this field, you don’t need to specify language_code;
if you don’t specify this field, the language_code with en value will be used by default;
you can receive the list of available languages of the search engine with their language_name by making a separate request to the https://api.dataforseo.com/v3/ai_optimization/llm_mentions/locations_and_languages
Note: chat_gpt data is available for English only
language_code string search language code
optional field
if you use this field, you don’t need to specify language_name;
you can receive the list of available languages of the search engine with their language_code by making a separate request to the https://api.dataforseo.com/v3/ai_optimization/llm_mentions/locations_and_languages
default value: en
Note: chat_gpt data is available for en only
platform string target platform
optional field
possible values:
chat_gpt, google
default value: google
Note: the data returned depends on the selected platform
Note #2:chat_gpt data is available for the United States and English only
links_scope string links source scope
optional field
this parameter specifies which links will be used to extract domains and aggregation data
possible values: sources, search_results
default value: sources
initial_dataset_filters array array of filter expressions applied before aggregation
optional field
you can use this array to filter expressions applied to the raw mentions database before aggregation to limit the rows contributing to the result;

you can add several filters at once (8 filters maximum)
you should set a logical operator and, or between the conditions
the following operators are supported:
=, <>, in, not_in, like, not_like, ilike, not_ilike, match, not_match
you can use the % operator with like and not_like to match any string of zero or more characters
example:
["ai_search_volume",">","1000"]

The full list of possible filters is available here.

items_list_limit integer maximum number of results in the items array
optional field
you can use this parameter to limit the number of data objects you receive in the items array
minimum value: 1
maximum value: 10
default value: 5
internal_list_limit integer maximum number of elements within internal arrays
optional field
you can use this field to limit the number of elements within the following arrays:
sources_domain
search_results_domain
minimum value: 1
maximum value: 10
default value: 5
tag string user-defined task identifier
optional field
the character limit is 255
you can use this parameter to identify the task and match it with the result
you will find the specified tag value in the data object of the response


‌‌As a response of the API server, you will receive JSON-encoded data containing a tasks array with the information specific to the set tasks.

Description of the fields in the results array:

Field nameTypeDescription
versionstring

the current version of the API

status_codeinteger

general status code
you can find the full list of the response codes here
Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_messagestring

general informational message
you can find the full list of general informational messages here

timestring

execution time, seconds

costfloat

total tasks cost, USD

tasks_countinteger

the number of tasks in the tasks array

tasks_errorinteger

the number of tasks in the tasks array returned with an error

tasksarray

array of tasks

    idstring

task identifier
unique task identifier in our system in the UUID format

    status_codeinteger

status code of the task
generated by DataForSEO; can be within the following range: 10000-60000
you can find the full list of the response codes here

    status_messagestring

informational message of the task
you can find the full list of general informational messages here

    timestring

execution time, seconds

    costfloat

cost of the task, USD

    result_countinteger

number of elements in the result array

    patharray

URL path

    dataobject

contains the same parameters that you specified in the POST request

    resultarray

array of results

        totalobject

aggregated mentions metrics summary
contains overall aggregated LLM mention metrics across all found domains, grouped by various dimensions

            locationarray

location-based grouping
array of objects containing mention metrics segmented by geographical location

                typestring

type of the element = 'group_element'

                keystring

grouping identifier
the specific identifier for the grouping dimension

                mentionsinteger

total LLM mentions count
the number of times the target keyword or domain were mentioned in relation to this specific grouping key

                ai_search_volumeinteger

current AI search volume rate of a keyword
learn more about this metric here

                impressionsinteger

current AI impressions rate of a keyword

            languagearray

language-based grouping
array of objects containing mention metrics segmented by content language

                typestring

type of the element = 'group_element'

                keystring

grouping identifier
the specific identifier for the grouping dimension

                mentionsinteger

total LLM mentions count
the number of times the target keyword or domain were mentioned in relation to this specific grouping key

                ai_search_volumeinteger

current AI search volume rate of a keyword
learn more about this metric here

                impressionsinteger

current AI impressions rate of a keyword

            platformarray

platform-based grouping
array of group elements containing mention metrics segmented by AI platform

                typestring

type of the element = 'group_element'

                keystring

grouping identifier
the specific identifier for the grouping dimension

                mentionsinteger

total LLM mentions count
the number of times the target keyword or domain were mentioned in relation to this specific grouping key

                ai_search_volumeinteger

current AI search volume rate of a keyword
learn more about this metric here

                impressionsinteger

current AI impressions rate of a keyword

            sources_domainarray

found top source domains relevant to the target
array of objects containing data on top domains that are cited as sources in LLM responses

                typestring

type of the element = 'group_element'

                keystring

grouping identifier
the specific identifier for the grouping dimension
in this case the field displays a found domain name

                mentionsinteger

total LLM mentions count
the number of times the target keyword or domain were mentioned in relation to the specific domain

                ai_search_volumeinteger

current AI search volume rate of a keyword
learn more about this metric here

                impressionsinteger

current AI impressions rate of a keyword

            search_results_domainarray

found top search results domains relevant to the target
array of objects containing data on top domains that appear in search results related to LLM queries

                typestring

type of the element = 'group_element'

                keystring

grouping identifier
the specific identifier for the grouping dimension
in this case the field displays a found domain name

                mentionsinteger

total LLM mentions count
the number of times the target keyword or domain were mentioned in relation to the specific domain

                ai_search_volumeinteger

current AI search volume rate of a keyword
learn more about this metric here

                impressionsinteger

current AI impressions rate of a keyword

            brand_entities_titlearray

data on brand entities relevant to the target
array of objects containing data on brand entity titles that appear in search results related to LLM queries

                typestring

type of the element = 'group_element'

                keystring

grouping identifier
the specific identifier for the grouping dimension
in this case the field displays a found brand entity title

                mentionsinteger

total LLM mentions count
the number of times the target keyword or domain were mentioned in relation to the specific domain

                ai_search_volumeinteger

current AI search volume rate of a keyword
learn more about this metric here

                impressionsinteger

current AI impressions rate of a keyword

            brand_entities_categoryarray

data on brand entities relevant to the target
array of objects containing data on brand entity categories that appear in search results related to LLM queries

                typestring

type of the element = 'group_element'

                keystring

grouping identifier
the specific identifier for the grouping dimension
in this case the field displays a found brand entity category

                mentionsinteger

total LLM mentions count
the number of times the target keyword or domain were mentioned in relation to the specific domain

                ai_search_volumeinteger

current AI search volume rate of a keyword
learn more about this metric here

                impressionsinteger

current AI impressions rate of a keyword

        itemsarray

individual domain results
array containing detailed mention metrics for each of the found top domains

            keystring

domain name
the domain name of the website found in LLM mentions for the specified target

            locationarray

location-based grouping
array of objects containing domain mention metrics segmented by geographical location

                typestring

type of the element = 'group_element'

                keystring

grouping identifier
the specific identifier for the grouping dimension

                mentionsinteger

total LLM mentions count
the number of times the target keyword or domain were mentioned in relation to this specific grouping key

                ai_search_volumeinteger

current AI search volume rate of a keyword
learn more about this metric here

                impressionsinteger

current AI impressions rate of a keyword

            languagearray

language-based grouping
array of objects containing domain mention metrics segmented by content language

                typestring

type of the element = 'group_element'

                keystring

grouping identifier
the specific identifier for the grouping dimension

                mentionsinteger

total LLM mentions count
the number of times the target keyword or domain were mentioned in relation to this specific grouping key

                ai_search_volumeinteger

current AI search volume rate of a keyword
learn more about this metric here

                impressionsinteger

current AI impressions rate of a keyword

            platformarray

platform-based grouping
array of group elements containing domain mention metrics segmented by AI platform

                typestring

type of the element = 'group_element'

                keystring

grouping identifier
the specific identifier for the grouping dimension

                mentionsinteger

total LLM mentions count
the number of times the target keyword or domain were mentioned in relation to this specific grouping key

                ai_search_volumeinteger

current AI search volume rate of a keyword
learn more about this metric here

                impressionsinteger

current AI impressions rate of a keyword

            sources_domainarray

source domains relevant to the specific top domain
array of objects containing data on domains that are cited as sources in LLM responses

                typestring

type of the element = 'group_element'

                keystring

grouping identifier
the specific identifier for the grouping dimension
in this case the field displays a found domain name

                mentionsinteger

total LLM mentions count
the number of times the target keyword or domain were mentioned in relation to the specific domain

                ai_search_volumeinteger

current AI search volume rate of a keyword
learn more about this metric here

                impressionsinteger

current AI impressions rate of a keyword

            search_results_domainarray

search results domains relevant to the specific top domain
array of objects containing data on domains that appear in search results related to LLM queries

                typestring

type of the element = 'group_element'

                keystring

grouping identifier
the specific identifier for the grouping dimension
in this case the field displays a found domain name

                mentionsinteger

total LLM mentions count
the number of times the target keyword or domain were mentioned in relation to the specific domain

                ai_search_volumeinteger

current AI search volume rate of a keyword
learn more about this metric here

                impressionsinteger

current AI impressions rate of a keyword

            brand_entities_titlearray

data on brand entities relevant to the target
array of objects containing data on brand entity titles that appear in search results related to LLM queries

                typestring

type of the element = 'group_element'

                keystring

grouping identifier
the specific identifier for the grouping dimension
in this case the field displays a found brand entity title

                mentionsinteger

total LLM mentions count
the number of times the target keyword or domain were mentioned in relation to the specific domain

                ai_search_volumeinteger

current AI search volume rate of a keyword
learn more about this metric here

                impressionsinteger

current AI impressions rate of a keyword

            brand_entities_categoryarray

data on brand entities relevant to the target
array of objects containing data on brand entity categories that appear in search results related to LLM queries

                typestring

type of the element = 'group_element'

                keystring

grouping identifier
the specific identifier for the grouping dimension
in this case the field displays a found brand entity category

                mentionsinteger

total LLM mentions count
the number of times the target keyword or domain were mentioned in relation to the specific domain

                ai_search_volumeinteger

current AI search volume rate of a keyword
learn more about this metric here

                impressionsinteger

current AI impressions rate of a keyword


‌‌

Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request POST "https://api.dataforseo.com/v3/ai_optimization/llm_mentions/top_domains/live" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw '[
  {
    "language_code": "en",
    "location_code": 2840,
    "platform": "chat_gpt",
    "target": [
      {
        "keyword": "bmw",
        "search_scope": [
          "answer"
        ]
      },
      {
        "keyword": "auto",
        "search_scope": [
          "question"
        ],
        "match_type": "partial_match"
      }
    ],
    "links_scope": "sources",
    "initial_dataset_filters": [
      [
        "ai_search_volume",
        ">",
        10
      ]
    ],
    "items_list_limit": 3,
    "internal_list_limit": 2
  }
]'
<?php

/**
 * Method: POST
 * Endpoint: https://api.dataforseo.com/v3/ai_optimization/llm_mentions/top_domains/live
 * @see https://docs.dataforseo.com/v3/ai_optimization/llm_mentions/top_domains/live
 */

require_once __DIR__ . '/../../../../../lib/RestClient.php';
$config = require __DIR__ . '/../../../../../lib/config.php';

$client = new RestClient($config['base_url'], null, $config['login'], $config['password']);

$data = [
    [
        'language_code' => 'en',
        'location_code' => 2840,
        'platform' => 'chat_gpt',
        'target' => [
            [
                'keyword' => 'bmw',
                'search_scope' => [
                    'answer',
                ],
            ],
            [
                'keyword' => 'auto',
                'search_scope' => [
                    'question',
                ],
                'match_type' => 'partial_match',
            ],
        ],
        'links_scope' => 'sources',
        'initial_dataset_filters' => [
            [
                'ai_search_volume',
                '>',
                10,
            ],
        ],
        'items_list_limit' => 5,
        'internal_list_limit' => 2,
    ],
];
try {
    $result = $client->post('/v3/ai_optimization/llm_mentions/top_domains/live', $data);
    print_r($result);
    // do something with post result
} catch (RestClientException $e) {
    printf(
        "HTTP code: %dnError code: %dnMessage: %snTrace: %sn",
        $e->getHttpCode(),
        $e->getCode(),
        $e->getMessage(),
        $e->getTraceAsString()
    );
}
?>
const axios = require('axios');
axios({
    method: 'post',
    url: 'https://api.dataforseo.com/v3/ai_optimization/llm_mentions/top_domains/live',
    auth: {
        username: 'login',
        password: 'password'
    },
    data: [
        {
            "language_code": "en",
            "location_code": 2840,
            "platform": "chat_gpt",
            "target": [
                {
                    "keyword": "bmw",
                    "search_scope": [
                        "answer"
                    ]
                },
                {
                    "keyword": "auto",
                    "search_scope": [
                        "question"
                    ],
                    "match_type": "partial_match"
                }
            ],
            "links_scope": "sources",
            "initial_dataset_filters": [
                [
                    "ai_search_volume",
                    ">",
                    10
                ]
            ],
            "items_list_limit": 3,
            "internal_list_limit": 2
        }
    ],
    headers: {
        'content-type': 'application/json'
    }
}).then(function (response) {
    var result = response['data']['tasks'];
    // Result data
    console.log(result);
}).catch(function (error) {
    console.log(error);
});
"""
Method: POST
Endpoint: https://api.dataforseo.com/v3/ai_optimization/llm_mentions/top_domains/live
@see https://docs.dataforseo.com/v3/ai_optimization/llm_mentions/top_domains/live
"""

import sys
import os
sys.path.append(os.path.abspath(os.path.join(os.path.dirname(__file__), '../../../../../')))
from lib.client import RestClient
from lib.config import username, password
client = RestClient(username, password)

post_data = []
post_data.append({
        'language_code': 'en',
        'location_code': 2840,
        'platform': 'chat_gpt',
        'target': [
            {
                'keyword': 'bmw',
                'search_scope': [
                    'answer'
                ]
            },
            {
                'keyword': 'auto',
                'search_scope': [
                    'question'
                ],
                'match_type': 'partial_match'
            }
        ],
        'links_scope': 'sources',
        'initial_dataset_filters': [
            [
                'ai_search_volume',
                '>',
                10
            ]
        ],
        'items_list_limit': 5,
        'internal_list_limit': 2
    })
try:
    response = client.post('/v3/ai_optimization/llm_mentions/top_domains/live', post_data)
    print(response)
    # do something with post result
except Exception as e:
    print(f'An error occurred: {e}')
using System;
using System.Linq;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Collections.Generic;
using System.Threading.Tasks;
using Newtonsoft.Json;
namespace DataForSeoSdk;

public class AiOptimization
{

    private static readonly HttpClient _httpClient;
    
    static AiOptimization()
    {
        _httpClient = new HttpClient
        {
            BaseAddress = new Uri("https://api.dataforseo.com/")
        };
        _httpClient.DefaultRequestHeaders.Authorization =
            new AuthenticationHeaderValue("Basic", ApiConfig.Base64Auth);
    }
    
    /// <summary>
    /// Method: POST
    /// Endpoint: https://api.dataforseo.com/v3/ai_optimization/llm_mentions/top_domains/live
    /// </summary>
    /// <see href="https://docs.dataforseo.com/v3/ai_optimization/llm_mentions/top_domains/live"/>
    
    public static async Task LlmMentionsTopDomainsLive()
    {
        var postData = new List<object>();
        // a simple way to set a task, the full list of possible parameters is available in documentation
        postData.Add(new
        {
            language_code = "en",
            location_code = 2840,
            platform = "chat_gpt",
            target = new object[]
            {
                new
                {
                    keyword = "bmw",
                    search_scope = new object[]
                    {
                        "answer"
                    }
                },
                new
                {
                    keyword = "auto",
                    search_scope = new object[]
                    {
                        "question"
                    },
                    match_type = "partial_match"
                }
            },
            links_scope = "sources",
            initial_dataset_filters = new object[]
            {
                new object[]
                {
                    "ai_search_volume",
                    ">",
                    10
                }
            },
            items_list_limit = 5,
            internal_list_limit = 2
        });

        var content = new StringContent(JsonConvert.SerializeObject(postData), Encoding.UTF8, "application/json");
        using var response = await _httpClient.PostAsync("/v3/ai_optimization/llm_mentions/top_domains/live", content);
        var result = JsonConvert.DeserializeObject<dynamic>(await response.Content.ReadAsStringAsync());
        // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
        if (result.status_code == 20000)
        {
            // do something with result
            Console.WriteLine(result);
        }
        else
            Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
    }

The above command returns JSON structured like this:

{
  "version": "0.1.20251208",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "1.9150 sec.",
  "cost": 0.101,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "12121250-1535-0637-0000-d0556baae1e5",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "1.8471 sec.",
      "cost": 0.101,
      "result_count": 1,
      "path": [
        "v3",
        "ai_optimization",
        "llm_mentions",
        "top_domains",
        "live"
      ],
      "data": {
        "api": "ai_optimization",
        "function": "top_domains",
        "language_code": "en",
        "location_code": 2840,
        "platform": "chat_gpt",
        "target": [
          {
            "keyword": "bmw",
            "search_scope": [
              "any"
            ]
          },
          {
            "keyword": "auto",
            "search_scope": [
              "any"
            ],
            "match_type": "partial_match"
          }
        ],
        "links_scope": "sources",
        "initial_dataset_filters": [
          [
            "ai_search_volume",
            ">",
            10
          ]
        ],
        "items_list_limit": 5,
        "internal_list_limit": 2
      },
      "result": [
        {
          "total": {
            "location": [
              {
                "type": "group_element",
                "key": "2840",
                "mentions": 2115,
                "ai_search_volume": 95412,
                "impressions": 201796380
              }
            ],
            "language": [
              {
                "type": "group_element",
                "key": "en",
                "mentions": 2115,
                "ai_search_volume": 95412,
                "impressions": 201796380
              }
            ],
            "platform": [
              {
                "type": "group_element",
                "key": "chat_gpt",
                "mentions": 2115,
                "ai_search_volume": 95412,
                "impressions": 201796380
              }
            ],
            "sources_domain": [
              {
                "type": "group_element",
                "key": "www.reddit.com",
                "mentions": 542,
                "ai_search_volume": 20395,
                "impressions": 11054090
              },
              {
                "type": "group_element",
                "key": "en.wikipedia.org",
                "mentions": 304,
                "ai_search_volume": 10579,
                "impressions": 3216016
              }
            ],
            "search_results_domain": [
              {
                "type": "group_element",
                "key": "www.bmwblog.com",
                "mentions": 261,
                "ai_search_volume": 11268,
                "impressions": 2940948
              },
              {
                "type": "group_element",
                "key": "www.edmunds.com",
                "mentions": 264,
                "ai_search_volume": 14945,
                "impressions": 3945480
              }
            ],
            "brand_entities_title": [
              {
                "type": "group_element",
                "key": "BMW",
                "mentions": 237,
                "ai_search_volume": 13445,
                "impressions": 3186465
              },
              {
                "type": "group_element",
                "key": "Mercedes-Benz",
                "mentions": 46,
                "ai_search_volume": 1671,
                "impressions": 76866
              }
            ],
            "brand_entities_category": [
              {
                "type": "group_element",
                "key": "car",
                "mentions": 920,
                "ai_search_volume": 43543,
                "impressions": 40059560
              },
              {
                "type": "group_element",
                "key": "brand",
                "mentions": 631,
                "ai_search_volume": 32053,
                "impressions": 20225443
              }
            ]
          },
          "items": [
            {
              "key": "www.reddit.com",
              "location": [
                {
                  "type": "group_element",
                  "key": "2840",
                  "mentions": 542,
                  "ai_search_volume": 20395,
                  "impressions": 11054090
                }
              ],
              "language": [
                {
                  "type": "group_element",
                  "key": "en",
                  "mentions": 542,
                  "ai_search_volume": 20395,
                  "impressions": 11054090
                }
              ],
              "platform": [
                {
                  "type": "group_element",
                  "key": "chat_gpt",
                  "mentions": 542,
                  "ai_search_volume": 20395,
                  "impressions": 11054090
                }
              ],
              "sources_domain": [
                {
                  "type": "group_element",
                  "key": "www.reddit.com",
                  "mentions": 542,
                  "ai_search_volume": 20395,
                  "impressions": 11054090
                },
                {
                  "type": "group_element",
                  "key": "www.kbb.com",
                  "mentions": 65,
                  "ai_search_volume": 2435,
                  "impressions": 158275
                }
              ],
              "search_results_domain": [
                {
                  "type": "group_element",
                  "key": "www.edmunds.com",
                  "mentions": 79,
                  "ai_search_volume": 3231,
                  "impressions": 255249
                },
                {
                  "type": "group_element",
                  "key": "www.kbb.com",
                  "mentions": 60,
                  "ai_search_volume": 2436,
                  "impressions": 146160
                }
              ],
              "brand_entities_title": [
                {
                  "type": "group_element",
                  "key": "BMW",
                  "mentions": 17,
                  "ai_search_volume": 439,
                  "impressions": 7463
                },
                {
                  "type": "group_element",
                  "key": "Mercedes-Benz",
                  "mentions": 7,
                  "ai_search_volume": 149,
                  "impressions": 1043
                }
              ],
              "brand_entities_category": [
                {
                  "type": "group_element",
                  "key": "car",
                  "mentions": 192,
                  "ai_search_volume": 7958,
                  "impressions": 1527936
                },
                {
                  "type": "group_element",
                  "key": "brand",
                  "mentions": 136,
                  "ai_search_volume": 5534,
                  "impressions": 752624
                }
              ]
            },
            {
              "key": "en.wikipedia.org",
              "location": [
                {
                  "type": "group_element",
                  "key": "2840",
                  "mentions": 307,
                  "ai_search_volume": 10801,
                  "impressions": 3315907
                }
              ],
              "language": [
                {
                  "type": "group_element",
                  "key": "en",
                  "mentions": 307,
                  "ai_search_volume": 10801,
                  "impressions": 3315907
                }
              ],
              "platform": [
                {
                  "type": "group_element",
                  "key": "chat_gpt",
                  "mentions": 307,
                  "ai_search_volume": 10801,
                  "impressions": 3315907
                }
              ],
              "sources_domain": [
                {
                  "type": "group_element",
                  "key": "en.wikipedia.org",
                  "mentions": 307,
                  "ai_search_volume": 10801,
                  "impressions": 3315907
                },
                {
                  "type": "group_element",
                  "key": "www.reddit.com",
                  "mentions": 37,
                  "ai_search_volume": 1405,
                  "impressions": 51985
                }
              ],
              "search_results_domain": [
                {
                  "type": "group_element",
                  "key": "www.bmwblog.com",
                  "mentions": 43,
                  "ai_search_volume": 1678,
                  "impressions": 72154
                },
                {
                  "type": "group_element",
                  "key": "www.motortrend.com",
                  "mentions": 28,
                  "ai_search_volume": 957,
                  "impressions": 26796
                }
              ],
              "brand_entities_title": [
                {
                  "type": "group_element",
                  "key": "BMW",
                  "mentions": 48,
                  "ai_search_volume": 1766,
                  "impressions": 84768
                },
                {
                  "type": "group_element",
                  "key": "Mercedes-Benz",
                  "mentions": 18,
                  "ai_search_volume": 845,
                  "impressions": 15210
                }
              ],
              "brand_entities_category": [
                {
                  "type": "group_element",
                  "key": "brand",
                  "mentions": 126,
                  "ai_search_volume": 4600,
                  "impressions": 579600
                },
                {
                  "type": "group_element",
                  "key": "car",
                  "mentions": 128,
                  "ai_search_volume": 4689,
                  "impressions": 600192
                }
              ]
            },
            {
              "key": "www.bmwblog.com",
              "location": [
                {
                  "type": "group_element",
                  "key": "2840",
                  "mentions": 181,
                  "ai_search_volume": 9753,
                  "impressions": 1765293
                }
              ],
              "language": [
                {
                  "type": "group_element",
                  "key": "en",
                  "mentions": 181,
                  "ai_search_volume": 9753,
                  "impressions": 1765293
                }
              ],
              "platform": [
                {
                  "type": "group_element",
                  "key": "chat_gpt",
                  "mentions": 181,
                  "ai_search_volume": 9753,
                  "impressions": 1765293
                }
              ],
              "sources_domain": [
                {
                  "type": "group_element",
                  "key": "www.bmwblog.com",
                  "mentions": 181,
                  "ai_search_volume": 9753,
                  "impressions": 1765293
                },
                {
                  "type": "group_element",
                  "key": "www.press.bmwgroup.com",
                  "mentions": 38,
                  "ai_search_volume": 1176,
                  "impressions": 44688
                }
              ],
              "search_results_domain": [
                {
                  "type": "group_element",
                  "key": "www.bmwblog.com",
                  "mentions": 105,
                  "ai_search_volume": 5037,
                  "impressions": 528885
                },
                {
                  "type": "group_element",
                  "key": "www.press.bmwgroup.com",
                  "mentions": 25,
                  "ai_search_volume": 1199,
                  "impressions": 29975
                }
              ],
              "brand_entities_title": [
                {
                  "type": "group_element",
                  "key": "BMW",
                  "mentions": 26,
                  "ai_search_volume": 839,
                  "impressions": 21814
                },
                {
                  "type": "group_element",
                  "key": "BMW 3 Series",
                  "mentions": 5,
                  "ai_search_volume": 959,
                  "impressions": 4795
                }
              ],
              "brand_entities_category": [
                {
                  "type": "group_element",
                  "key": "car",
                  "mentions": 99,
                  "ai_search_volume": 7343,
                  "impressions": 726957
                },
                {
                  "type": "group_element",
                  "key": "brand",
                  "mentions": 59,
                  "ai_search_volume": 1727,
                  "impressions": 101893
                }
              ]
            },
            {
              "key": "www.kbb.com",
              "location": [
                {
                  "type": "group_element",
                  "key": "2840",
                  "mentions": 213,
                  "ai_search_volume": 8816,
                  "impressions": 1877808
                }
              ],
              "language": [
                {
                  "type": "group_element",
                  "key": "en",
                  "mentions": 213,
                  "ai_search_volume": 8816,
                  "impressions": 1877808
                }
              ],
              "platform": [
                {
                  "type": "group_element",
                  "key": "chat_gpt",
                  "mentions": 213,
                  "ai_search_volume": 8816,
                  "impressions": 1877808
                }
              ],
              "sources_domain": [
                {
                  "type": "group_element",
                  "key": "www.kbb.com",
                  "mentions": 213,
                  "ai_search_volume": 8816,
                  "impressions": 1877808
                },
                {
                  "type": "group_element",
                  "key": "www.reddit.com",
                  "mentions": 69,
                  "ai_search_volume": 2647,
                  "impressions": 182643
                }
              ],
              "search_results_domain": [
                {
                  "type": "group_element",
                  "key": "www.kbb.com",
                  "mentions": 110,
                  "ai_search_volume": 4392,
                  "impressions": 483120
                },
                {
                  "type": "group_element",
                  "key": "www.edmunds.com",
                  "mentions": 84,
                  "ai_search_volume": 3795,
                  "impressions": 318780
                }
              ],
              "brand_entities_title": [
                {
                  "type": "group_element",
                  "key": "BMW",
                  "mentions": 13,
                  "ai_search_volume": 420,
                  "impressions": 5460
                },
                {
                  "type": "group_element",
                  "key": "BMW X5",
                  "mentions": 7,
                  "ai_search_volume": 211,
                  "impressions": 1477
                }
              ],
              "brand_entities_category": [
                {
                  "type": "group_element",
                  "key": "car",
                  "mentions": 109,
                  "ai_search_volume": 5070,
                  "impressions": 552630
                },
                {
                  "type": "group_element",
                  "key": "organization",
                  "mentions": 44,
                  "ai_search_volume": 2254,
                  "impressions": 99176
                }
              ]
            },
            {
              "key": "bimmerboom.com",
              "location": [
                {
                  "type": "group_element",
                  "key": "2840",
                  "mentions": 157,
                  "ai_search_volume": 6012,
                  "impressions": 943884
                }
              ],
              "language": [
                {
                  "type": "group_element",
                  "key": "en",
                  "mentions": 157,
                  "ai_search_volume": 6012,
                  "impressions": 943884
                }
              ],
              "platform": [
                {
                  "type": "group_element",
                  "key": "chat_gpt",
                  "mentions": 157,
                  "ai_search_volume": 6012,
                  "impressions": 943884
                }
              ],
              "sources_domain": [
                {
                  "type": "group_element",
                  "key": "bimmerboom.com",
                  "mentions": 157,
                  "ai_search_volume": 6012,
                  "impressions": 943884
                },
                {
                  "type": "group_element",
                  "key": "www.reddit.com",
                  "mentions": 44,
                  "ai_search_volume": 1393,
                  "impressions": 61292
                }
              ],
              "search_results_domain": [
                {
                  "type": "group_element",
                  "key": "bimmerboom.com",
                  "mentions": 95,
                  "ai_search_volume": 3023,
                  "impressions": 287185
                },
                {
                  "type": "group_element",
                  "key": "www.edmunds.com",
                  "mentions": 29,
                  "ai_search_volume": 693,
                  "impressions": 20097
                }
              ],
              "brand_entities_title": [
                {
                  "type": "group_element",
                  "key": "BMW",
                  "mentions": 7,
                  "ai_search_volume": 1088,
                  "impressions": 7616
                },
                {
                  "type": "group_element",
                  "key": "RepairPal",
                  "mentions": 3,
                  "ai_search_volume": 109,
                  "impressions": 327
                }
              ],
              "brand_entities_category": [
                {
                  "type": "group_element",
                  "key": "car",
                  "mentions": 83,
                  "ai_search_volume": 2704,
                  "impressions": 224432
                },
                {
                  "type": "group_element",
                  "key": "brand",
                  "mentions": 20,
                  "ai_search_volume": 1385,
                  "impressions": 27700
                }
              ]
            }
          ]
        }
      ]
    }
  ]
}